Subject: bug#31975: Emacs NS port `M-x customize` Mouse Autoselect Window (point-to-focus) has no effect

From: Van L <[email-masked]>
Date: Thu, 28 Jun 2018 16:03:09 +1000

>> Terminal app, I found and quoted what
>> was needed to tell the window manager
>> what to do.
> 
> I don't think it helps us solve this problem
> 
> I believe this is for the remote X

I believe the cases of Terminal app, XQuartz 
prove it is possible.

> are these 2 Emacs frames

Yes, based on the UI experience on NS port creating a `new frame`
which is selectable from the Emacs’s Icon’s context menu emanating 
from the Dock.

> I'm not following: "C-x o" is not supposed to switch between
> frames

I included that as a test case to make distinct what is the 
frame and window according to terms you use.

> So mouse-autoselect-window does work between windows of the same
> frame, but doesn't work when you go to a window on another frame?  If
> so, this is indeed a problem to solve with your window-manager, not
> with Emacs

I believe Emacs can model how it should interact with this particular
window manager based on how Terminal app, XQuartz does it right.

> I do see select-window here, so the feature is working.

The select is working between boxes (windows) within an outer most box (frame).

The ask is for the mouse focus to follow select on the outer most boxes (frames).

I haven’t built Emacs 27 on Mac OS and will see what has been suggested by 
OC’s nsterm.c’s mouseMoved.